merchantCreate

POSThttps://api.twisto.pl/psp/v2/merchant/

Create a new merchant

Security: Token Auth

Provide your auth token in the Authorization header when making requests to protected resources.
Example: Authorization: Token 123

Request body

  • id: integer
    required

    Identifier

  • legal_name: string
    required

    Legal name

    <= 100 characters
  • company_id: string or null

    Company identifier validated by country_code (or by site country when country_code is not provided). For CY supports C/HE + 1..8 digits, for SG supports 9..10 alphanumeric UEN.

    <= 20 characters
    Default:
  • vat_id: string or null

    VAT identifier validated by country_code when provided. May be empty; for SG empty value is valid.

    <= 14 characters
    Default:
  • street: string
    required

    Address' street

    <= 100 characters
  • city: string
    required

    Address' city

    <= 100 characters
  • zipcode: string
    required

    Address' ZIP code

    <= 10 characters
  • country_code: or null

    ISO-3166 alpha-2 code used for country-specific company_id and vat_id validation.

  • contact_name: string or null

    Contact name

    <= 200 characters
    Default:
  • contact_phone_number: string or null

    Contact phone number

    <= 20 characters
    Default:
  • contact_email: string<email> or null

    Contact e-mail

    <= 254 characters
    Default:
  • is_blocked: boolean
    required

    True if and only if merchant is currently blocked from performing new orders.

  • pl_krs: string or null

    The National Court Register (KRS) number, PL only

    Match pattern: ^\d{10}$
    <= 10 characters
  • external_id: string or null
    required

    External ID provided by PSP

    <= 255 characters

Request Body example

{ "id": 763, "legal_name": "string", "company_id": "string", "vat_id": "string", "street": "string", "city": "string", "zipcode": "string", "country_code": "string", "contact_name": "string", "contact_phone_number": "string", "contact_email": "string", "is_blocked": true, "pl_krs": "string", "external_id": "string" }

Responses

Body

  • id: integer
    required

    Identifier

  • legal_name: string
    required

    Legal name

    <= 100 characters
  • company_id: string or null

    Company identifier validated by country_code (or by site country when country_code is not provided). For CY supports C/HE + 1..8 digits, for SG supports 9..10 alphanumeric UEN.

    <= 20 characters
    Default:
  • vat_id: string or null

    VAT identifier validated by country_code when provided. May be empty; for SG empty value is valid.

    <= 14 characters
    Default:
  • street: string
    required

    Address' street

    <= 100 characters
  • city: string
    required

    Address' city

    <= 100 characters
  • zipcode: string
    required

    Address' ZIP code

    <= 10 characters
  • country_code: or null

    ISO-3166 alpha-2 code used for country-specific company_id and vat_id validation.

  • contact_name: string or null

    Contact name

    <= 200 characters
    Default:
  • contact_phone_number: string or null

    Contact phone number

    <= 20 characters
    Default:
  • contact_email: string<email> or null

    Contact e-mail

    <= 254 characters
    Default:
  • is_blocked: boolean
    required

    True if and only if merchant is currently blocked from performing new orders.

  • pl_krs: string or null

    The National Court Register (KRS) number, PL only

    Match pattern: ^\d{10}$
    <= 10 characters
  • external_id: string or null
    required

    External ID provided by PSP

    <= 255 characters

Response example

{ "id": 526, "legal_name": "string", "company_id": "string", "vat_id": "string", "street": "string", "city": "string", "zipcode": "string", "country_code": "string", "contact_name": "string", "contact_phone_number": "string", "contact_email": "string", "is_blocked": true, "pl_krs": "string", "external_id": "string" }